#ifndef TARTDATANEBULA_HH
#define TARTDATANEBULA_HH

#include "TObject.h"

#include "TArtData.hh"

#include <map>

class TArtParameterNEBULA;

class TArtDataNEBULA : public TArtData
{
public:
  class TArtDataNEBULAInner
  {
  public:
    TArtDataNEBULAInner();
    ~TArtDataNEBULAInner();

    int fADC;  
    int fTDC;  
  };

  typedef std::map<int, TArtDataNEBULAInner> TArtDataNEBULAInnerMap;

public:
  TArtDataNEBULA();
  ~TArtDataNEBULA();

  void Clear();
  std::map<int, TArtDataNEBULA::TArtDataNEBULAInner>::iterator InnerMapBegin();
  std::map<int, TArtDataNEBULA::TArtDataNEBULAInner>::iterator InnerMapEnd();

  //private: not yet
  std::map<int, TArtDataNEBULAInner> fDataNEBULAInnerMap;

  ClassDef(TArtDataNEBULA,1);
};

#endif
