
#include "TArtMethodAnalysisNEBULA.hh"
#include "TArtDataNEBULA.hh"

#include <iostream>

TArtMethodAnalysisNEBULA::TArtMethodAnalysisNEBULA(TArtDataNEBULA *datanebula)
  : TArtMethodAnalysis(), fDataNEBULA(datanebula)
{;}

TArtMethodAnalysisNEBULA::~TArtMethodAnalysisNEBULA()
{;}

void TArtMethodAnalysisNEBULA::operator()()
{
  std::cout << "MethodAnalysisNEBULA()" << std::endl;

  std::map<int, TArtDataNEBULA::TArtDataNEBULAInner>::iterator it
    = fDataNEBULA->fDataNEBULAInnerMap.begin();
  while(it !=  fDataNEBULA->fDataNEBULAInnerMap.end()){
    std::cout << "ID:" << it->first << " ADC:" << it->second.fADC << " TDC:" << it->second.fTDC << std::endl;
    ++it;
  }
}
